Implement ctools to combine run-wise IRFs for fast binned likelihood analysis
Status: Closed Start date: 12/11/2013

Priority: Normal Due date:  

Assigned To: Lu Chia-Chun % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

In HAP we usually combine all runs into total counts and exposure and exposure-averaged PSF before fitting the morphology and

spectrum.

This looses some information, but means a factor 100 speed-up for a binned likelihood fit for 100 runs.

Plus there might be problems with having too many free background parameters when fitting per-run data with per-run IRFs.

So we should develop ctools to combine IRFs (and maybe counts).

As a start it could be a two-page Python script ... it's basically summing up.

In optical and X-ray astronomy this is known as co-adding, and there are e.g. tools to co-add PHA, ARF and RMF files in CIAO:

Example and explanation of tool: http://cxc.harvard.edu/ciao/threads/coadding/

Formulae: http://cxc.harvard.edu/ciao/download/doc/combine.pdf

History

#1 - 12/11/2013 10:33 AM - Deil Christoph

- Subject changed from Implement ctools to combine run-wise event lists and IRFs to Implement ctools to combine run-wise IRFs for fast binned

likelihood analysis

- Description updated

#2 - 12/11/2013 08:21 PM - Knödlseder Jürgen

- Target version set to 2nd coding sprint

#3 - 12/13/2013 07:46 AM - Deil Christoph

- Description updated

#4 - 12/13/2013 08:01 AM - Deil Christoph

- Description updated

#5 - 01/29/2014 01:50 AM - Knödlseder Jürgen

- Status changed from New to In Progress

#6 - 07/08/2014 04:35 PM - Lu Chia-Chun

- Status changed from In Progress to Resolved

Replaced by #1249 #1250

#7 - 07/19/2014 02:15 AM - Knödlseder Jürgen

- Target version changed from 2nd coding sprint to 00-08-00

#8 - 07/20/2014 11:18 PM - Knödlseder Jürgen

- Status changed from Resolved to Closed

- % Done changed from 0 to 100
